{
  num: -356004,
  accuracy: 90,
  basePower: 60,
  category: "Special",
  name: "Tearblade",
  pp: 10,
  priority: 0,
  flags: { protect: 1, mirror: 1, metronome: 1, blade: 1 },

  basePowerCallback(pokemon, target, move) {
    let basePower = 60;
    if (target?.tearStains) {
      const tearLayers = target.tearStains;
      basePower += 10 * tearLayers;
      
      this.add('-start', target, 'tearbladePowerUp', basePower);
    }
    return basePower;
  },

  onHit(target, source, move) {
    if (target?.tearStains) {
      const layers = target.tearStains;
      
      this.add('-start', target, 'tearbladeRelease', layers);
      
      
    }
  },

  target: "normal",
  type: "Ghost",
  contestType: "Cool"
}